# CommandChain Class Reference
[Spring-like webflow tools]

Inheritance diagram for CommandChain:
[legend]

List of all members.

## Public Member Functions

| add (EditorCommand $command)
| run (Prototyped $subject, Form $form, HttpRequest $request)

## Static Public Member Functions

static | create ()

## Private Member Functions

| rollback ($position)
| commit ()

## Private Attributes

| $chain = array()

## Detailed Description

Definition at line 15 of file CommandChain.class.php.

## Member Function Documentation

CommandChain::add | ( | EditorCommand $ | command | ) |

Returns:
  CommandChain

Definition at line 30 of file CommandChain.class.php.

CommandChain::commit | ( |  | ) | `[private]`

Returns:
  CommandChain

Definition at line 90 of file CommandChain.class.php.

static CommandChain::create | ( |  | ) | `[static]`

Returns:
  CommandChain

Definition at line 22 of file CommandChain.class.php.

CommandChain::rollback | ( | $ | position | ) | `[private]`

Returns:
  CommandChain

Definition at line 71 of file CommandChain.class.php.

Referenced by run().

CommandChain::run | ( | Prototyped $ | subject,
|  | Form $ | form,
|  | HttpRequest $ | request |
| ) |  |  |

Exceptions:

  | BaseException |

Returns:
  ModelAndView

Implements EditorCommand.

Definition at line 41 of file CommandChain.class.php.

References BaseEditor::COMMAND_FAILED, Assert::isTrue(), and rollback().

Here is the call graph for this function:

## Member Data Documentation

CommandChain::$chain = array()`[private]`

Definition at line 17 of file CommandChain.class.php.

The documentation for this class was generated from the following file:

- main/Flow/CommandChain.class.php